# 모두의 말뭉치
# ['AF', 'AM', 'CV', 'DT', 'EV', 'FD', 'LC', 'MT', 'OG', 'PS', 'PT', 'QT', 'TI', 'TM', 'TR']

from typing import Dict


def to_korean_corpus_ner_labels(label: str) -> str:
    if label == NerKoreanCorpusLabels.PAD:
        return label

    # B-OGG_POLITICS -> B-OG
    return label[:4]


class NerKoreanCorpusLabels:
    SIZE: int = 62
    PAD = "[PAD]"
    LABEL2IDX: Dict[str, int] = {
        PAD: 0,
        "O": 1,
        "B-AF": 2,
        "I-AF": 3,
        "E-AF": 4,
        "S-AF": 5,
        "B-AM": 6,
        "I-AM": 7,
        "E-AM": 8,
        "S-AM": 9,
        "B-CV": 10,
        "I-CV": 11,
        "E-CV": 12,
        "S-CV": 13,
        "B-DT": 14,
        "I-DT": 15,
        "E-DT": 16,
        "S-DT": 17,
        "B-EV": 18,
        "I-EV": 19,
        "E-EV": 20,
        "S-EV": 21,
        "B-FD": 22,
        "I-FD": 23,
        "E-FD": 24,
        "S-FD": 25,
        "B-LC": 26,
        "I-LC": 27,
        "E-LC": 28,
        "S-LC": 29,
        "B-MT": 30,
        "I-MT": 31,
        "E-MT": 32,
        "S-MT": 33,
        "B-OG": 34,
        "I-OG": 35,
        "E-OG": 36,
        "S-OG": 37,
        "B-PS": 38,
        "I-PS": 39,
        "E-PS": 40,
        "S-PS": 41,
        "B-PT": 42,
        "I-PT": 43,
        "E-PT": 44,
        "S-PT": 45,
        "B-QT": 46,
        "I-QT": 47,
        "E-QT": 48,
        "S-QT": 49,
        "B-TI": 50,
        "I-TI": 51,
        "E-TI": 52,
        "S-TI": 53,
        "B-TM": 54,
        "I-TM": 55,
        "E-TM": 56,
        "S-TM": 57,
        "B-TR": 58,
        "I-TR": 59,
        "E-TR": 60,
        "S-TR": 61,
    }
    IDX2LABEL: Dict[str, str] = {
        "0": PAD,
        "1": "O",
        "2": "B-AF",
        "3": "I-AF",
        "4": "E-AF",
        "5": "S-AF",
        "6": "B-AM",
        "7": "I-AM",
        "8": "E-AM",
        "9": "S-AM",
        "10": "B-CV",
        "11": "I-CV",
        "12": "E-CV",
        "13": "S-CV",
        "14": "B-DT",
        "15": "I-DT",
        "16": "E-DT",
        "17": "S-DT",
        "18": "B-EV",
        "19": "I-EV",
        "20": "E-EV",
        "21": "S-EV",
        "22": "B-FD",
        "23": "I-FD",
        "24": "E-FD",
        "25": "S-FD",
        "26": "B-LC",
        "27": "I-LC",
        "28": "E-LC",
        "29": "S-LC",
        "30": "B-MT",
        "31": "I-MT",
        "32": "E-MT",
        "33": "S-MT",
        "34": "B-OG",
        "35": "I-OG",
        "36": "E-OG",
        "37": "S-OG",
        "38": "B-PS",
        "39": "I-PS",
        "40": "E-PS",
        "41": "S-PS",
        "42": "B-PT",
        "43": "I-PT",
        "44": "E-PT",
        "45": "S-PT",
        "46": "B-QT",
        "47": "I-QT",
        "48": "E-QT",
        "49": "S-QT",
        "50": "B-TI",
        "51": "I-TI",
        "52": "E-TI",
        "53": "S-TI",
        "54": "B-TM",
        "55": "I-TM",
        "56": "E-TM",
        "57": "S-TM",
        "58": "B-TR",
        "59": "I-TR",
        "60": "E-TR",
        "61": "S-TR",
    }
